com.r3corda.contracts / CommercialPaper / State

# State

`data class State : OwnableState`

### Constructors

<init> | `State(issuance: PartyAndReference, owner: PublicKey, faceValue: Amount<Currency>, maturityDate: Instant, notary: Party)`

### Properties

contract | `val contract: CommercialPaper` Contract by which the state belongs
faceValue | `val faceValue: Amount<Currency>`
issuance | `val issuance: PartyAndReference`
maturityDate | `val maturityDate: Instant`
notary | `val notary: Party` Identity of the notary that ensures this state is not used as an input to a transaction more than once
owner | `val owner: PublicKey` There must be a MoveCommand signed by this key to claim the amount

### Functions

toString | `fun toString(): String`
withFaceValue | `fun withFaceValue(newFaceValue: Amount<Currency>): <ERROR CLASS>`
withIssuance | `fun withIssuance(newIssuance: PartyAndReference): <ERROR CLASS>`
withMaturityDate | `fun withMaturityDate(newMaturityDate: Instant): <ERROR CLASS>`
withNewOwner | `fun withNewOwner(newOwner: PublicKey): <ERROR CLASS>` Copies the underlying data structure, replacing the owner field with this new value and leaving the rest alone
withOwner | `fun withOwner(newOwner: PublicKey): <ERROR CLASS>`
withoutOwner | `fun withoutOwner(): State`

### Extension Functions

owned by | `infix fun State.owned by(owner: PublicKey): State`